<template lang="pug">
#header
  .user Hello, Olivi
  time 時間： {{ getTime() }}
  .lang
    span 語系：
    select(@change="changeLang" v-model="lang")
      option(value="cn") 中文
      option(value="en") ENGLISH
</template>

<script>
import { timeFormat } from '@js/common'
import i18n from '@/lang'

export default {
  name: 'AppHeader',
  data() {
    return {
      lang: String,
    }
  },
  methods: {
    getTime() {
      const tody = timeFormat(new Date(), 'YYYY/MM/DD HH:MM')
      return tody
    },
    changeLang() {
      console.log(this)
      i18n.locale = this.lang
    },
  },
}
</script>

<style lang="sass">
#header
  >*
    display: inline-block
    border-left: 1px dotted rgba(255,255,255,.2)
    padding: 0 1em
</style>
